DSBL is gone and needs to be removed from SpamAssassin

Bug #278075 reported by Florian Effenberger on 2008-10-04
12
Affects Status Importance Assigned to Milestone
Dapper Backports
High
Unassigned
Hardy Backports
Wishlist
Unassigned
spamassassin (Ubuntu)
Medium
Scott Kitterman
Dapper
Medium
Scott Kitterman
Gutsy
Medium
Scott Kitterman
Hardy
Medium
Scott Kitterman
Intrepid
Medium
Scott Kitterman

Bug Description

Binary package hint: spamassassin

The DSBL blacklist has gone and needs to be removed from SpamAssassin.
See http://www.dsbl.org
and http://wiki.apache.org/spamassassin/DnsBlocklists

Patch should be backported to 8.04 at least.

Diff is quite minimal with no significant regression potential (only deleting DSBL related rules entries).

TEST CASE:

Run spamassassin. See DSBL scores in the results. Update. Run it again. See no DSBL scores.

Changed in spamassassin:
assignee: nobody → kitterman
importance: Undecided → Medium
status: New → In Progress
Changed in spamassassin:
assignee: nobody → kitterman
importance: Undecided → Medium
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.1.0a-2ubuntu1.2

---------------
spamassassin (3.1.0a-2ubuntu1.2) dapper-updates; urgency=low

  * Drop obsolete RBLs
    - dsbl.org (LP: #278075)
    - securitysage.com (LP: #289915)

 -- Scott Kitterman <email address hidden> Mon, 27 Oct 2008 20:04:11 -0400

Changed in spamassassin:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Accepted into dapper-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in spamassassin:
status: Fix Released → Fix Committed
Scott Kitterman (kitterman) wrote :

Also updating dapper-backports to 3.1.7.

Changed in dapper-backports:
importance: Undecided → High
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.5-1ubuntu2

---------------
spamassassin (3.2.5-1ubuntu2) jaunty; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)

 -- Scott Kitterman <email address hidden> Thu, 06 Nov 2008 13:27:42 -0500

Changed in spamassassin:
status: In Progress → Fix Released
Changed in spamassassin:
assignee: nobody → kitterman
importance: Undecided → Medium
status: New → In Progress
Scott Kitterman (kitterman) wrote :

Diff for intrepid (the only release that's in Main).

description: updated
Changed in spamassassin:
status: In Progress → Fix Committed
Changed in hardy-backports:
importance: Undecided → Wishlist
status: New → In Progress
Scott Kitterman (kitterman) wrote :

Ack from ubuntu-backporters for spamassassin - 3.2.5-1ubuntu2 to Gutsy and Hardy.

Changed in gutsy-backports:
importance: Undecided → Wishlist
status: New → In Progress
Changed in spamassassin:
importance: Undecided → Medium
status: New → Fix Committed
Changed in spamassassin:
assignee: nobody → kitterman
importance: Undecided → Medium
status: New → Fix Committed
assignee: nobody → kitterman
Martin Pitt (pitti) wrote :

Since that's a bug fix, shouldn't it go though -updates for hardy, too? We can probably ignore gutsy (or do the backport), since it isn't a really viable server platform any more/not for long any more.

Martin Pitt (pitti) wrote :

intrepid update accepted into intrepid-proposed, please test.

Martin Pitt (pitti) wrote :

hardy and gutsy accepted into -proposed, too. Sorry for my initial misunderstanding. Of course we should fix both -updates and -backports.

Martin Pitt (pitti) wrote :

Have to run, will review dapper update later

Changed in spamassassin:
status: Fix Committed → In Progress
Martin Pitt (pitti) wrote :

Accepted dapper-backports upload.

Changed in dapper-backports:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.1.7-2ubuntu1~dapper1

---------------
spamassassin (3.1.7-2ubuntu1~dapper1) dapper-backports; urgency=low

  * Update Dapper Spamassassin backport to last 3.1.x series release
  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)
    - securitysage.com (LP: #289915)

spamassassin (3.1.7-2ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/control:
      + libmail-spf-query-perl from Recommends to Depends for spamassassin
        binary
  * debian/control: Change Maintainer/XSBC-Original-Maintainer field.

spamassassin (3.1.7-2) unstable; urgency=high

  * Security fixes backported from 3.1.8:
    - CVE-2007-0451: potential DoS with long URIs found in the message
    content (Closes: #410843)
    - Prevents perl code from being loaded via sa-update by default
    (override with --allowplugins) (SpamAssassin bug 5240)

spamassassin (3.1.7-1ubuntu1) feisty; urgency=low

  * Merge from Debian unstable. The remaining Ubuntu changes are:
    - debian/control:
      + libmail-spf-query-perl from Recommends to Depends for spamassassin
        binary (Ubuntu: #28486)

spamassassin (3.1.7-1) unstable; urgency=low

  * New upstream release (Closes: #385450, #396600)
    - Fixes handling of PGP/MIME messages (Closes: #367365)
    - Fixes URIDNSBL warning of invalid bitwise or (Closes: #373914)
    - Fix date handling bug (Closes: #362913)

  * Fix README.Debian now that libnet-dns-perl isn't a dependency anymore
    (Closes: #374377)

spamassassin (3.1.4-1ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. The remaining Ubuntu changes are:
    - debian/control:
      + libmail-spf-query-perl from Recommends to Depends for spamassassin
        binary (Ubuntu: #28486)

spamassassin (3.1.4-1) unstable; urgency=low

  * New upstream release
    - Fixed a bug where sa-update's failure would leave SA without rules
      (Closes: #370357)
    - Fix BSMTP with exim (Closes: #375286)
    - gtube.t test failed with non-english locales.
    - Fixed memory leak with Bayes and BayesStore.

 -- Scott Kitterman <email address hidden> Thu, 06 Nov 2008 00:24:21 -0500

Changed in spamassassin:
status: In Progress → Fix Released
Martin Pitt (pitti) wrote :

dapper-proposed fix was already accepted 2 days ago (version 3.1.0a-2ubuntu1.2).

Changed in spamassassin:
status: Fix Released → Fix Committed
Martin Pitt (pitti) wrote :

 * Trying to backport spamassassin...
  - <spamassassin_3.2.5-1ubuntu2.dsc: downloading from librarian>
  - <spamassassin_3.2.5-1ubuntu2.diff.gz: downloading from librarian>
  - <spamassassin_3.2.5.orig.tar.gz: downloading from librarian>
I: Extracting spamassassin_3.2.5-1ubuntu2.dsc ... done.
I: Building backport of spamassassin-3.2.5 as 3.2.5-1ubuntu2~gutsy1 ... done.

Changed in gutsy-backports:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.5-1ubuntu2~gutsy1

---------------
spamassassin (3.2.5-1ubuntu2~gutsy1) gutsy-backports; urgency=low

  * Automated backport upload; no source changes.

spamassassin (3.2.5-1ubuntu2) jaunty; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)

 -- Florian Effenberger <email address hidden> Fri, 07 Nov 2008 14:40:10 +0000

Changed in spamassassin:
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

 * Trying to backport spamassassin...
  - <spamassassin_3.2.5-1ubuntu2.dsc: downloading from librarian>
  - <spamassassin_3.2.5-1ubuntu2.diff.gz: downloading from librarian>
  - <spamassassin_3.2.5.orig.tar.gz: downloading from librarian>
I: Extracting spamassassin_3.2.5-1ubuntu2.dsc ... done.
I: Building backport of spamassassin-3.2.5 as 3.2.5-1ubuntu2~hardy1 ... done.

Changed in hardy-backports:
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.5-1ubuntu2~hardy1

---------------
spamassassin (3.2.5-1ubuntu2~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

spamassassin (3.2.5-1ubuntu2) jaunty; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)

 -- Florian Effenberger <email address hidden> Fri, 07 Nov 2008 14:43:33 +0000

Changed in spamassassin:
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2008-11-07
Changed in spamassassin:
status: Fix Released → Fix Committed
status: Fix Released → Fix Committed
Martin Pitt (pitti) wrote :

Florian, Scott, anyone who can test the proposed update?

Still on my TODO. if someone else can test, that would be wonderful.

Florian Effenberger (floeff) wrote :

Unfortunately, I don't have a testing machine at the moment and manually fixed the issue in my SpamAssassin configuration in the meantime. I'll look into it when I get access to testing hardware.

Sorry for the bad news. :-( But thanks for your fix!

I can't really see any way to provoke the DSBL-test to give any hit (which can then be removed by upgrading) as "all the nameservers for list.dsbl.org are serving an empty zone" (from: http://www.dsbl.org/).

The only thing I can confirm is that the configuration for DSBL is gone. The test for intrepid is as follows.

Version 3.2.5-1ubuntu1:
~$ dpkg -L spamassassin | xargs grep DSBL
/usr/share/spamassassin/20_dnsbl_tests.cf:# DSBL catches open relays, badly-installed CGI scripts and open SOCKS and
/usr/share/spamassassin/20_dnsbl_tests.cf:header RCVD_IN_DSBL eval:check_rbl_txt('dsbl-lastexternal', 'list.dsbl.org.', '(?i:dsbl)')
/usr/share/spamassassin/20_dnsbl_tests.cf:describe RCVD_IN_DSBL Received via a relay in list.dsbl.org
/usr/share/spamassassin/20_dnsbl_tests.cf:tflags RCVD_IN_DSBL net
/usr/share/spamassassin/20_dnsbl_tests.cf:#reuse RCVD_IN_DSBL
/usr/share/spamassassin/30_text_de.cf:lang de describe RCVD_IN_DSBL Transportiert via Rechner in Liste von list.dsbl.org
/usr/share/spamassassin/30_text_fr.cf:lang fr describe RCVD_IN_DSBL Relais list� dans list.dsbl.org, voir http://dsbl.org
/usr/share/spamassassin/30_text_nl.cf:lang nl describe RCVD_IN_DSBL Ontvangen via een relay die gevonden is in list.dsbl.org
/usr/share/spamassassin/30_text_pl.cf:lang pl describe RCVD_IN_DSBL Otrzymano przez relay listowany w list.dsbl.org
/usr/share/spamassassin/50_scores.cf:score RCVD_IN_DSBL 0 0.753 0 0.961 # n=0 n=2
/usr/share/perl5/Mail/SpamAssassin/Util/DependencyInfo.pm: desc => 'Used for all DNS-based tests (SBL, XBL, SpamCop, DSBL, etc.),

Version 3.2.5-1ubuntu1.1:
~$ dpkg -L spamassassin | xargs grep DSBL
/usr/share/perl5/Mail/SpamAssassin/Util/DependencyInfo.pm: desc => 'Used for all DNS-based tests (SBL, XBL, SpamCop, DSBL, etc.),

Is this sufficient confirmation? If it is, I'll test the versions for dapper/gutsy/hardy as well; if not please enlighten me of a better way to test it.

Florian Effenberger (floeff) wrote :

I guess you can test with spamassassin -D < mail.txt 2> log
Then you should see the queried DSBLs in the file "log"

Colin Watson (cjwatson) wrote :

I think the main thing we'd like here is confirmation that we haven't broken spamassassin with the update - that is, that it still works as before for other uses.

Subjectively it looks to work the same before and after.

Also inspecting the debug-output before and after shows that the only thing that has changed in the output is the part about DSBL. I would call the fix verified in intrepid.

andreas@miraculix:~$ spamassassin --mbox -x -D dns --cf='dns_available yes' < test.mbox 1> mail.old 2> log.old
andreas@miraculix:~$ spamassassin --mbox -x -D dns --cf='dns_available yes' < test.mbox 1> mail.new 2> log.new
andreas@miraculix:~$ sed -i "s/\[.*\]/\[\]/1" log.old
andreas@miraculix:~$ sed -i "s/\[.*\]/\[\]/1" log.new
andreas@miraculix:~$ diff log.old log.new
108,111d107
< [] dbg: dns: checking RBL list.dsbl.org., set dsbl-lastexternal
< [] dbg: dns: IPs found: full-external: 212.97.132.50, 127.0.0.1, 127.0.0.1, 193.28.147.133, 193.28.147.254, 10.35.24.110, 212.97.132.50 untrusted: 212.97.132.50, 193.28.147.133, 193.28.147.254 originating: 212.97.132.50
< [] dbg: dns: only inspecting the following IPs: 212.97.132.50
< [] dbg: dns: launching DNS TXT query for 50.132.97.212.list.dsbl.org. in background
130d125
< [] dbg: dns: hit <dns:wildcard.dsb.dk?type=MX> 10 smtp2.dsb.dk.
131a127
> [] dbg: dns: hit <dns:wildcard.dsb.dk?type=MX> 10 smtp2.dsb.dk.
andreas@miraculix:~$ diff mail.old mail.new
5c5
< X-Spam-Status: No, score=3.9 required=5.0 tests=FROM_EXCESS_BASE64,
---
> X-Spam-Status: No, score=3.9 required=5.0 tests=AWL,FROM_EXCESS_BASE64,

Note: AWL is the auto-whitelist; so it is not surprising that it showa up the second time.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.5-1ubuntu1.1

---------------
spamassassin (3.2.5-1ubuntu1.1) intrepid-proposed; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)

 -- Scott Kitterman <email address hidden> Thu, 06 Nov 2008 13:58:18 -0500

Changed in spamassassin:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.4-1ubuntu1.1

---------------
spamassassin (3.2.4-1ubuntu1.1) hardy-proposed; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)

 -- Scott Kitterman <email address hidden> Thu, 06 Nov 2008 15:08:06 -0500

Changed in spamassassin:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package spamassassin - 3.2.3-0ubuntu1.1

---------------
spamassassin (3.2.3-0ubuntu1.1) gutsy-proposed; urgency=low

  * Add 60_RBL-update.dpatch to drop obsolete RBLs
    - dsbl.org (LP: #278075)
    - securitysage.com (LP: #289915)

 -- Scott Kitterman <email address hidden> Thu, 06 Nov 2008 15:19:17 -0500

Changed in spamassassin:
status: Fix Committed → Fix Released
Changed in spamassassin:
status: Fix Committed → Fix Released
Sonny Sy (sonnysy) wrote :

Please don not blacklist this IP address 213.210.244.236 is not spam email ..

Thanks & regard,
Sonny Sy.
<email address hidden>

Darxus (darxus) wrote :

Sonny Sy: This was the wrong place to make that request.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers